using Gready_Poang.CommandClasses;

namespace Gready_Poang.Views;

public partial class ParticipantListView : ContentPage
{

    private readonly ParticipantViewModelCommands _vm;

    public ParticipantListView(ParticipantViewModelCommands viewModel)
    {
        InitializeComponent();
        ViewModel = viewModel;
        _vm = viewModel;

    }

    public ParticipantViewModelCommands ViewModel { get; set; }
    public int ParticipantId { get; set; }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        BindingContext = ViewModel;
        ViewModel.Get();
    }

}

